/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomPlugin_H___INT_
#define __GdomPlugin_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "Plugin.h"
namespace WebCore {
    gpointer toGDOM(Plugin* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMPlugin : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_PLUGIN; }
    GDOMPlugin(PassRefPtr<WebCore::Plugin> impl);
    virtual ~GDOMPlugin();
    WebCore::Plugin* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::Plugin> m_impl;
};
G_END_DECLS

#endif /* __GdomPlugin_H___INT_*/
